package com.wisewoods.eduandroid.ui.adapter;

import com.wisewoods.base.base.BaseAdapter;
import com.wisewoods.base.base.BaseVH;
import com.wisewoods.eduandroid.R;

import org.jetbrains.annotations.NotNull;

public class MainTabAdapter extends BaseAdapter<MainTab> {
    public MainTabAdapter() {
        super(R.layout.item_recycler_tab);
    }

    @Override
    protected void convert(@NotNull BaseVH baseVH, MainTab mainTab) {
        baseVH.setText(R.id.tv_title, mainTab.title)
                .setImageResource(R.id.iv_icon, mainTab.icon);
    }
}
